%global forgeurl https://github.com/lsp-plugins/lsp-dsp-lib
Version:        1.0.20
%global tag %{version}
%forgemeta

Name:           lsp-dsp-lib
Release:        %autorelease
Summary:        DSP library for signal processing
License:        LGPL-3.0-or-later
URL:            %{forgeurl}
Source0:        https://github.com/lsp-plugins/lsp-dsp-lib/releases/download/%{version}/%{name}-src-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make

%description
DSP library for digital signal processing (and more)

This library provides set of functions that perform SIMD-optimized computing on
several hardware architectures.

Currently supported set of SIMD extensions:

* i586 architecture (32-bit): SSE, SSE2, SSE3, AVX, AVX2, FMA3 and AVX512;
* x86_64 architecture (64-bit): SSE, SSE2, SSE3, AVX, AVX2, FMA3 and AVX512;
* armv7 architecture (32-bit): NEON;
* AArch64 architecture (64-bit): ASIMD.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%prep
%autosetup -p1 -n lsp-dsp-lib

%build
make config TEST=1 PREFIX=%{_prefix} LIBDIR=%{_libdir}
%make_build

%install
%make_install

rm %{buildroot}%{_libdir}/*.a
mv %{buildroot}%{_libdir}/liblsp-dsp-lib-%{version}.so %{buildroot}%{_libdir}/liblsp-dsp-lib.so.%{version}

%check
.build/target/lsp-dsp-lib/lsp-dsp-lib-test utest

%files
%license COPYING
%{_libdir}/liblsp-dsp-lib.so.%{version}

%files devel
%{_includedir}/lsp-plug.in/
%{_libdir}/liblsp-dsp-lib.so
%{_libdir}/pkgconfig/lsp-dsp-lib.pc

%changelog
%autochangelog
